%define major 4
%define libname %mklibname gif %major
%define develname %mklibname -d gif

Name:		giflib
Version:	4.2.1
Release:	%mkrel 4
URL:		http://giflib.sourceforge.net/
Summary:	Library for reading and writing gif images
License:	BSD like
Source:		http://downloads.sourceforge.net/giflib/%{name}-%{version}.tar.bz2
# Export QuantizeBuffer for now as this is used by various apps
# It will be reintroduced as GifQuantizeBuffer in 5.0
Patch1:		giflib-4.2.1-export-again-QuantizeBuffer.patch
Patch2:		giflib-4.2.1-automake-1.13.patch
BuildRequires: libx11-devel
BuildRequires: xmlto
Group:		System/Libraries

%description
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%package progs
Summary:	Gif tools based on giflib
Group:		Graphics/Editors and Converters
Obsoletes:  libungif-progs < 4.1.4-10
Provides:   libungif-progs = %version-%release

%description progs
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This package provides some gif tools based on giflib.

%package -n %libname
Group:		System/Libraries
Summary:	Library for reading and writing gif images
Obsoletes:  %{_lib}ungif4 < 4.1.4-10
Provides:   %{_lib}ungif4 = %version-%release
Provides:   %{_lib}ungif = %version-%release

%description -n %libname
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%package -n %develname
Group:		Development/C
Summary:	Development files for giflib
Requires:	%libname
Provides:	giflib-devel = %{version}-%{release}
Obsoletes:  %{_lib}ungif4-devel < 4.1.4-10
Provides:   %{_lib}ungif4-devel = %version-%release
Provides:   %{_lib}ungif-devel = %version-%release
Provides:   libungif-devel = %version-%release
Provides:   ungif-devel = %version-%release
Obsoletes:  %{_lib}ungif4-static-devel < 4.1.4-10
Provides:   %{_lib}ungif4-static-devel = %version-%release
Provides:   %{_lib}ungif-static-devel = %version-%release

%description -n %develname
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This packages provides the developement files for giflib.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static
%make

# Handling of libungif compatibility
MAJOR=`echo '%{version}' | sed -e 's/\([0-9]\+\)\..*/\1/'`
%{__cc} $RPM_OPT_FLAGS -shared -Wl,-soname,libungif.so.$MAJOR -Llib/.libs -lgif -o libungif.so.%{version}

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# Handling of libungif compatibility
install -p -m 755 libungif.so.%{version} $RPM_BUILD_ROOT%{_libdir}
ln -sf libungif.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libungif.so.4
ln -sf libungif.so.4 $RPM_BUILD_ROOT%{_libdir}/libungif.so

%files progs
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{_bindir}/gif2x11
%{_bindir}/gif2rgb
%{_bindir}/gifasm
%{_bindir}/gifbg
%{_bindir}/gifburst
%{_bindir}/gifclip
%{_bindir}/gifclrmp
%{_bindir}/gifcolor
%{_bindir}/gifcomb
%{_bindir}/gifcompose
%{_bindir}/giffiltr
%{_bindir}/giffix
%{_bindir}/gifflip
%{_bindir}/gifhisto
%{_bindir}/gifinfo
%{_bindir}/gifinter
%{_bindir}/gifinto
%{_bindir}/gifovly
%{_bindir}/gifpos
%{_bindir}/gifrotat
%{_bindir}/gifrsize
%{_bindir}/gifspnge
%{_bindir}/giftext
%{_bindir}/gifwedge
%{_bindir}/icon2gif
%{_bindir}/raw2gif
%{_bindir}/rgb2gif
%{_bindir}/text2gif

%files -n %libname
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{_libdir}/libgif.so.%{major}
%{_libdir}/libgif.so.%{major}.*

%{_libdir}/libungif.so.%{major}
%{_libdir}/libungif.so.%{major}.*

%files -n %develname
%{_includedir}/gif_lib.h
%{_libdir}/libgif.so
%{_libdir}/libungif.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.2.1-4.mga3
+ Revision: 351546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Jan 04 2013 cjw <cjw> 4.2.1-3.mga3
+ Revision: 338570
- patch2: fix build with automake 1.13

* Sun Dec 02 2012 pterjan <pterjan> 4.2.1-2.mga3
+ Revision: 324839
- Export QuantizeBuffer for now as this is used by various apps
  It will be reintroduced as GifQuantizeBuffer in 5.0

* Fri Oct 12 2012 fwang <fwang> 4.2.1-1.mga3
+ Revision: 304805
- update rpm group
- new version 4.2.1

* Sat Sep 22 2012 fwang <fwang> 4.2.0-1.mga3
+ Revision: 296612
- update file list
- new version 4.2.0

* Mon Nov 21 2011 fwang <fwang> 4.1.6-9.mga2
+ Revision: 170384
- drop .la files

  + blino <blino>
    - imported package giflib

* Wed Jan 12 2011 blino <blino> 4.1.6-8.mga1
+ Revision: 7618
- imported package giflib

